SAP Knowledge Base Article - Preview

2190961 - SMP 3.0.7 SDK and lower versions use a deprecated GCM push library

Symptom

SMP 3.0 SDK SP07 uses a deprecated API to support Android push notifications.

This implementation based on the gcm.jar library is marked deprecated by Google.  See the folllowing Google document:

       https://developers.google.com/s/results?q=GCMRegistrar+is+Depecated+&p=%2Fcloud-messaging

  • GoogleCloudMessaging API should be used instead.
  • This may impact all Android applications that are using push functionality via the SMP SDK because the GCM service may be shutdown by Google without any notice.


Read more...

Environment

  • SMP 3.0 SP 07 SDK and earlier versions
  • Android all versions
  • Kapsel
  • Cordova 3.x and 4.x

Product

SAP Mobile Platform 3.0

Keywords

GoogleCloudMessaging GCM SMP SDK , KBA , MOB-SDK-KAP , Kapsel: Hybrid Container , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.